Name:		port-allocator-maven-plugin
Version:	1.2
Release:	6%{?dist}
Summary:	Port Allocator Maven Plugin

Group:		Development/Libraries
License:	ASL 2.0
URL:		http://github.com/sonatype/port-allocator-maven-plugin

# git clone git://github.com/sonatype/port-allocator-maven-plugin.git
# git archive --format=tar --prefix=port-allocator-maven-plugin-1.2/ port-allocator-maven-plugin-1.2 | xz > port-allocator-maven-plugin-1.2.tar.xz
Source0:	%{name}-%{version}.tar.xz
Source1:	http://www.apache.org/licenses/LICENSE-2.0.txt

# Switch parent to sonatype-oss-parent - seems to work
Patch0:		%{name}-parent.patch

BuildArch:	noarch

BuildRequires:	java-devel
BuildRequires:	jpackage-utils
BuildRequires:	maven-local
BuildRequires:	maven-compiler-plugin
BuildRequires:	maven-enforcer-plugin
BuildRequires:	maven-plugin-plugin
BuildRequires:	maven-resources-plugin
BuildRequires:	maven-surefire-plugin
BuildRequires:	maven-jar-plugin
BuildRequires:	maven-javadoc-plugin
BuildRequires:	sonatype-oss-parent

Requires:	java
Requires:	jpackage-utils
Requires:	maven
Requires:	sonatype-oss-parent

%description
Allocate ports to be used during maven build process.

%package javadoc
Summary:	Javadocs for %{name}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
cp %{SOURCE1} .

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%patch0


%build
mvn-rpmbuild package javadoc:aggregate

%install

install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POMs
install -d -m 0755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -p -m 0644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc LICENSE-2.0.txt
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc LICENSE-2.0.txt
%{_javadocdir}/%{name}


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.2-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.2-2
- Add License file

* Mon Jul 09 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.2-1
- Initial Package
